import org.apache.commons.io.FileUtils

import com.kms.katalon.core.configuration.RunConfiguration
import com.kms.katalon.core.testobject.ResponseObject
import com.kms.katalon.core.webservice.keyword.WSBuiltInKeywords as WS

import groovy.json.JsonSlurper


//read har
File har = new File(RunConfiguration.getProjectDir(), "0.har")
String harContent = FileUtils.readFileToString(har, "UTF-8")
def jsonSlurper = new JsonSlurper()
def object = jsonSlurper.parseText(harContent)
def content = object.log.entries[0].response.content.text

System.setProperty("javax.xml.parsers.DocumentBuilderFactory",
	
	"com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl");


println content


ResponseObject response = new ResponseObject(content)
response.setContentType("application/xml")
WS.verifyElementPropertyValue(response, 'createOrderResponse.out.messageStatus', 'false')